//====PrimalAge====
print("--- loading PrimalAge.zs ---");


//Planks
recipes.remove(<minecraft:planks:1>);
recipes.addShaped("PS_sprucePlanks1", <minecraft:planks:1> * 4, [[<ore:toolSawFlint>], [<minecraft:log:1>]]);
recipes.addShaped("PS_sprucePlanks2", <minecraft:planks:1> * 5, [[<ore:toolSawMetal>], [<minecraft:log:1>]]);
recipes.addShaped("PS_sprucePlanks3", <minecraft:planks:1> * 6, [[<ore:toolSawGem>], [<minecraft:log:1>]]);
recipes.addShapeless("PS_sprucePlanks4", <minecraft:planks:1>, [<betterwithmods:wood_siding:1>, <betterwithmods:wood_siding:1>]);

//Flint
recipes.remove(<minecraft:flint>);
recipes.addShapeless("PS_flint1", <minecraft:flint> * 9, [<betterwithmods:aesthetic:5>]);
recipes.remove(<primal:flint_knapp>);
recipes.addShaped("PS_knapFlint1", <primal:flint_knapp>, [[<ore:rockStone>], [<minecraft:flint>]]);
recipes.addShaped("PS_flint2", <minecraft:flint>, [[<ore:toolMalletStone>], [<minecraft:gravel>]]);
recipes.addShaped("PS_flint3", <minecraft:flint> * 2, [[<ore:toolMalletMetal>], [<minecraft:gravel>]]);


//Starting Flint Tools
recipes.remove(<primal:flint_workblade>);
recipes.addShaped("PS_WorkBlade1", <primal:flint_workblade>, [[<primal:flint_point>, null,], [<minecraft:stick>, null]]);
recipes.remove(<primal:flint_shears>);
recipes.addShapedMirrored("PS_FlintShears1", <primal:flint_shears>, [[null, <primal:flint_point>], [<primal:flint_point>, <primal:plant_cordage>]]);

//Sticks
recipes.remove (<minecraft:stick>);
recipes.addShaped("PS_Stick1", <minecraft:stick> * 4, [[<ore:toolAxe>], [<ore:plankWood>]]);
recipes.addShaped("PS_Stick2", <minecraft:stick> * 4, [[<ore:toolWorkBlade>], [<minecraft:ladder>]]);

//Plant Fiber
recipes.addShaped ("PS_Fibre1", <primal:plant_fiber> * 3, [[<ore:toolWorkBlade>], [<ore:barkWood>]]);

//Silk Cordage
recipes.addShapeless("PS_Silk", <primal:silk_cordage>, [<ore:cordagePlant>, <ore:cordagePlant>, <ore:cordagePlant>]);

//Bonemeal
recipes.removeByRecipeName("minecraft:bone_meal_from_bone");

//Organic Adjustments
recipes.remove(<minecraft:dirt>);
recipes.removeByRecipeName("betterwithmods:piles/dirt_pile");
recipes.removeByRecipeName("betterwithmods:piles/dirt_slab_0");
recipes.removeShapeless(<betterwithmods:dirt_slab>, [<betterwithmods:dirt_pile>, <betterwithmods:dirt_pile>]);
recipes.remove(<minecraft:cobblestone>);
recipes.addShaped("PS_pileDirt1", <betterwithmods:dirt_pile>, 
	[[null, <botania:pestleandmortar>, null],
	[<ore:treeLeaves>, <ore:treeLeaves>, <ore:treeLeaves>],
	[null, null, null]]);
recipes.addShaped("PS_sawDust1", <betterwithmods:material:22>, [[<botania:pestleandmortar>], [<ore:barkWood>]]);
recipes.addShaped("PS_Dirt1", <minecraft:dirt>, 
	[[<ore:pileDirt>, null, <ore:pileDirt>], 
	[<ore:dustWood>, <botania:waterbowl>.transformReplace(<minecraft:bowl>), <ore:dustWood>],
	[<ore:pileDirt>, null, <ore:pileDirt>]]);
recipes.addShaped("PS_mudClump1", <primal:mud_clump> * 8, 
	[[<ore:pileDirt>, <ore:pileDirt>, <ore:pileDirt>],
	[<ore:pileDirt>, <botania:waterbowl>.transformReplace(<minecraft:bowl>), <ore:pileDirt>],
	[<ore:pileDirt>, <ore:pileDirt>, <ore:pileDirt>]]);
recipes.addShaped("PS_mortar1", <primal:mortar> * 16, 
	[[<ore:mortalIngredient>, <ore:clumpMud>, <ore:mortalIngredient>],
	[<ore:clumpMud>, <ore:mortalIngredient>, <ore:clumpMud>],
	[<ore:mortalIngredient>, <ore:clumpMud>, <ore:mortalIngredient>]]);
recipes.addShaped("PS_cobble1", <minecraft:cobblestone>, 
	[[<ore:rockStone>, <ore:rockStone>, <ore:rockStone>], 
	[<ore:rockStone>, <primal:mortar>, <ore:rockStone>], 
	[<ore:rockStone>, <ore:rockStone>, <ore:rockStone>]]);
recipes.addShapeless("PS_bowl1", <minecraft:bowl>, [<botania:waterbowl>.withTag({Fluid: {FluidName: "water", Amount: 1000}})]);
recipes.addShaped("PS_chest", <minecraft:chest> * 4, 
	[[<ore:logWood>, <ore:logWood>, <ore:logWood>], 
	[<ore:logWood>, null, <ore:logWood>], 
	[<ore:logWood>, <ore:logWood>, <ore:logWood>]]);
recipes.removeByRecipeName("betterwithmods:higheff/chest");

//Saplings
recipes.removeByRecipeName("botania:garden_of_glass/root_to_sapling");
recipes.addShapeless("PS_saplingSpruce1", <minecraft:sapling:1>, [<botania:manaresource:20>, <botania:manaresource:20>, <botania:manaresource:20>, <botania:manaresource:20>]);	

//Adobe
recipes.removeByRecipeName("primal:adobebrick_mix");
recipes.addShapeless("PS_adobeBrick", <primal:adobebrick_mix> * 8, [<primal:mud_clump>, <ore:thatchingDry>]);

//Thatch
recipes.addShapeless("PS_dryThatch", <primal:thatching_dry> * 2, [<ore:toolWorkBlade>, <primal:thatch>]);

//Lacquer Items
recipes.addShapeless("PS_lacquerStick", <primal:lacquer_stick>, [<ore:stickWood>, <primal:urushi_bottle>]);
recipes.addShaped("PS_lacqueredPlank", <primal:planks:2> * 4,
	[[null, <primal:urushi_bottle>, null], 
	[<primal:urushi_bottle>, <ore:plankWood>, <primal:urushi_bottle>], 
	[null, <primal:urushi_bottle>, null]]);

//Grass Block
recipes.addShapeless("PS_blockGrass", <minecraft:grass>, [<botania:manaresource:20>, <botania:manaresource:20>, <minecraft:dirt>, <minecraft:dirt>]);

//Limestone Slack
mods.primal.Cauldron.addRecipe("PS_limeSlack", 0.25F, <liquid:brine_netjry> * 250, null, [<ore:clumpFuel>, <minecraft:dye:15>], [<primal:carbonate_slack>]);

//Bituminous Clump
mods.primal.Cauldron.addRecipe("PS_bituminousClump", 0.25F, <liquid:water> * 250, null, [<minecraft:dirt:2>, <primal:ash_common> * 4,<ore:dustSulfur>], [<primal:bitumin_clump>]);

//Phyto-Grow
recipes.addShapeless("PS_fertilizer", <thermalfoundation:fertilizer>, [<ore:dustWood>, <ore:dustWood>, <ore:dustSulfur>, <ore:crystalSlag>]);

//Torches
recipes.removeByRecipeName("thermalfoundation:torch");
recipes.removeByRecipeName("thermalfoundation:torch_1");
recipes.removeByRecipeName("actuallyadditions:recipes86");
recipes.removeByRecipeName("actuallyadditions:recipes87");
recipes.removeByRecipeName("silentgems:stone_torch");
	
//Ore Recipes
recipes.addShaped("PS_ironCruc", <forgecraft:rawironcrucible>, [[<ore:dustIron>], [<forgecraft:emptycrucible>]]);
recipes.remove(<forgecraft:rawcleanironcrucible>);
recipes.addShaped("PS_IronCrucible2", <forgecraft:rawcleanironcrucible>, [[<ore:dustIron>, <ore:slackLime>], [<forgecraft:emptycrucible>, null]]);
recipes.addShaped("PS_IronCrucible1", <forgecraft:rawcleanironcrucible>, [[<forgecraft:brokencleanirontool>], [<forgecraft:emptycrucible>]]);
recipes.addShapeless("PS_Nugget1", <forgecraft:ironchunk>, [<minecraft:iron_nugget>]);
recipes.addShapeless("PS_Nugget2", <minecraft:iron_nugget>, [<forgecraft:ironchunk>]);

//Plate Removal
furnace.remove(<ore:ingotIron>, <ore:plateIron>); 
furnace.remove(<ore:ingotSteel>, <ore:plateSteel>);

//Cauldron Recipes
mods.primal.Cauldron.removeRecipe("primal:stone_to_lava");
mods.primal.Cauldron.removeRecipe("primal:cobble_to_lava");
mods.primal.Cauldron.removeRecipe("primal:rocks_to_lava");

//Bone Latel
recipes.removeByRecipeName("primal:cauldron_ladle_bone");
	
//Remove Wood tools
recipes.remove(<minecraft:wooden_shovel>);
recipes.remove(<minecraft:wooden_pickaxe>);
recipes.remove(<minecraft:wooden_axe>);
recipes.remove(<minecraft:wooden_hoe>);

print("Initialized 'PrimalAge.zs'");